## amb-plugins 0.3.0

=== Makefile ===

CPPFLAGS += -I. -fPIC -D_REENTRANT -Wall -O3


all:	ambisonic1.so ambisonic2.so


ambisonic1.so:	ambisonic1.o ambisonic1_if.o filter1.o
	g++ -shared -o $@ ambisonic1.o ambisonic1_if.o filter1.o

ambisonic1.o:	ladspaplugin.h ambisonic1.h filter1.h
ambisonic1_if.o:	ladspaplugin.h ambisonic1.h


ambisonic2.so:	ambisonic2.o ambisonic2_if.o 
	g++ -shared -o $@ ambisonic2.o ambisonic2_if.o

ambisonic2.o:	ladspaplugin.h ambisonic2.h
ambisonic2_if.o:	ladspaplugin.h ambisonic2.h


install:	all
	/usr/bin/install -m 755 *.so /usr/lib/ladspa
	/bin/rm -rf /usr/lib/ladspa/ambisonic.so
	/bin/rm -rf /usr/lib/ladspa/ambis1.so
	/bin/rm -rf /usr/lib/ladspa/ambis2.so


DIR := $(shell basename `pwd`)

archive:	clean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar


clean:
	/bin/rm -f *~ *.o *.so

## amb-plugins 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,31 @@
+#    Copyright (C) 2004-2009 Fons Adriaensen <fons@kokkinizita.net>
+#    
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
 
 CPPFLAGS += -I. -fPIC -D_REENTRANT -Wall -O3
 
 
-all:	ambisonic1.so ambisonic2.so
+all:	ambisonic0.so ambisonic1.so ambisonic2.so ambisonic3.so
+
+
+ambisonic0.so:	ambisonic0.o ambisonic0_if.o virtmic.o
+	g++ -shared -o $@ ambisonic0.o ambisonic0_if.o virtmic.o
+
+ambisonic0.o:	ladspaplugin.h ambisonic0.h
+ambisonic0_if.o:	ladspaplugin.h ambisonic0.h
 
 
 ambisonic1.so:	ambisonic1.o ambisonic1_if.o filter1.o
@@ -19,8 +42,16 @@
 ambisonic2_if.o:	ladspaplugin.h ambisonic2.h
 
 
+ambisonic3.so:	ambisonic3.o ambisonic3_if.o 
+	g++ -shared -o $@ ambisonic3.o ambisonic3_if.o
+
+ambisonic3.o:	ladspaplugin.h ambisonic3.h
+ambisonic3_if.o:	ladspaplugin.h ambisonic3.h
+
+
 install:	all
 	/usr/bin/install -m 755 *.so /usr/lib/ladspa
+#       Remove incompatible old versions
 	/bin/rm -rf /usr/lib/ladspa/ambisonic.so
 	/bin/rm -rf /usr/lib/ladspa/ambis1.so
 	/bin/rm -rf /usr/lib/ladspa/ambis2.so

=== debian/changelog ===
amb-plugins (0.6.1-2) unstable; urgency=low

  * Bump Standards.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Update debian/watch file.
  * Change my email address.
  * Remove DMUA field.
  * Update copyright and license information.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Jun 2010 19:54:58 +0200

amb-plugins (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Set Debian Multimedia Maintainers as Maintainer.
    - Add myself as uploader.
    - Allow uploads by DM.
    - Add Vcs-* tags.
    - Add Homepage field.
  * debian/copyright:
    - Update.
    - Fix the following lintian warnings:
      + copyright-with-old-dh-make-debian-copyright
      + copyright-refers-to-symlink-license
  * Remove debian/menu, no command provided.
  * Switch to debian format 3.0 (quilt).
  * Switch to debhelper 7.
  * Refresh and convert all patches to quilt format.
  * Drop README from debian/docs, it contains upstream's changelog.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 Jan 2010 23:35:09 +0100

amb-plugins (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #456159)

 -- Free Ekanayaka <freee@debian.org>  Thu, 13 Dec 2007 10:20:13 +0000

=== debian/control ===
Source: amb-plugins
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: cdbs,
 debhelper (>= 7.0.50~),
 ladspa-sdk
Homepage: http://www.kokkinizita.net/linuxaudio/index.html
Vcs-Git: git://git.debian.org/git/pkg-multimedia/amb-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/amb-plugins.git;a=summary
Standards-Version: 3.8.4

Package: amb-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: ambisonics LADPSA plugins
 A set of ambisonics plugins, mainly to be used within Ardour. Mono and 
 stereo to B-format panning, horizontal rotator, square, hexagon and 
 cube decoders.

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html AMB-plugins-(.*)\.tar\.bz2

## amb-plugins 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#    Copyright (C) 2004-2009 Fons Adriaensen <fons@kokkinizita.net>
+#    Copyright (C) 2004-2010 Fons Adriaensen <fons@kokkinizita.net>
 #    
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -21,8 +21,8 @@
 all:	ambisonic0.so ambisonic1.so ambisonic2.so ambisonic3.so
 
 
-ambisonic0.so:	ambisonic0.o ambisonic0_if.o virtmic.o
-	g++ -shared -o $@ ambisonic0.o ambisonic0_if.o virtmic.o
+ambisonic0.so:	ambisonic0.o ambisonic0_if.o virtmic.o allpass.o
+	g++ -shared -o $@ ambisonic0.o ambisonic0_if.o virtmic.o allpass.o
 
 ambisonic0.o:	ladspaplugin.h ambisonic0.h
 ambisonic0_if.o:	ladspaplugin.h ambisonic0.h

=== debian/changelog ===
amb-plugins (0.8.1-8) unstable; urgency=medium

  * Team upload
  * superfluous-file-pattern

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update watch, control, copyright (http -> https)

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 20:32:13 +0200

amb-plugins (0.8.1-7) unstable; urgency=medium

  * Update copyright file.
  * Add patch to fix FTCBFS. (Closes: #851201).
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 16 Jan 2017 09:17:58 +0100

amb-plugins (0.8.1-6) unstable; urgency=medium

  * Set dh 10.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Update copyright file.
  * Fix hardening.
  * Tune .gitignore file.
  * Add local-options file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 21 Dec 2016 10:21:15 +0100

amb-plugins (0.8.1-5) unstable; urgency=medium

  * Enable parallel build.
  * Fix description. (Closes: #784078)
  * Added patch to remove LADSPA_PROPERTY_REALTIME. (Closes: #760758)
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Sep 2015 08:44:07 +0200

amb-plugins (0.8.1-4) unstable; urgency=low

  * Team upload.
  * Enable hardening:
    - Bump DH compatibility to 9.
    - Refresh 01-destdir.patch to make buildsystem accept LDFLAGS.
  * Remove myself from the Uploaders list.
  * Remove obsolete DM-Upload-Allowed field.
  * Fix VCS urls according to the canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 16:37:25 +0100

amb-plugins (0.8.1-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Removed cdbs from build dependencies.
  * Add myself as uploader.
  * Copyright updated to format 1.0
  * Fix homepage in control file
  * Fix URL in copyright file
  * Fix watch file.
  * Bump Standards.
  * Set priority to optional.

  [ Alessio Treglia ]
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Apr 2012 16:21:41 +0200

amb-plugins (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 21:06:22 +0100

amb-plugins (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * Update gbp's config file.
  * debian/patches/01-destdir.patch: Remove unnecessary commands, refresh.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 10:21:07 +0100

=== debian/control ===
Source: amb-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 ladspa-sdk
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: https://salsa.debian.org/multimedia-team/amb-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/amb-plugins
Standards-Version: 3.9.8

Package: amb-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-plugin
Description: ambisonics LADSPA plugins
 A set of ambisonics plugins, mainly to be used within Ardour. Mono and
 stereo to B-format panning, horizontal rotator, square, hexagon and
 cube decoders.

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ \
	AMB-plugins-(.*)\.tar\.bz2
